Subject: Re: bug#16617: 24.3.50; REGRESSION: `C-q ?' pops up annoying *Char Help* buffer

From: Daniel Colascione <[email-masked]>
Date: Thu, 03 Apr 2014 12:32:02 -0700

Drew's right this time.

On 04/03/2014 12:24 PM, Eli Zaretskii wrote:
>> Date: Thu, 3 Apr 2014 11:38:15 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>> Cc: [email-masked], [email-masked]
>>
>> What problem did I report?  "`C-q ?' pops up an annoying
>> "*Char Help*" buffer."  What part of that is not clear?
> 
> It's clear, I just don't agree that it's a problem.  It is intended
> behavior shared by many other Emacs commands.
> 
>> Why should `C-q ?' show any "help"?
> 
> Because '?' is a help character.

We should make an exception for C-q. Its purpose is explicitly to
*override* normal Emacs convention. I'd be happy echoing a help message
as soon as C-q is entered, and maybe popping up help on F1, but we
should certainly treat "?" like any other character.